RHEL 8 : Red Hat OpenShift Enterprise (RHSA-2023:3914)

critical Nessus Plugin ID 193590

Synopsis

The remote Red Hat host is missing one or more security updates for Red Hat OpenShift Enterprise.

Description

The remote Redhat Enterprise Linux 8 host has packages installed that are affected by multiple vulnerabilities as referenced in the RHSA-2023:3914 advisory.

- golang: math/big: uncontrolled memory consumption due to an unhandled overflow via Rat.SetString (CVE-2022-23772)

- golang: encoding/pem: fix stack overflow in Decode (CVE-2022-24675)

- golang: crypto/elliptic: panic caused by oversized scalar (CVE-2022-28327)

- golang: crypto/tls: session tickets lack random ticket_age_add (CVE-2022-30629)

- golang: net/http: excessive memory growth in a Go server accepting HTTP/2 requests (CVE-2022-41717)

- openshift: OCP & FIPS mode (CVE-2023-3089)

- golang: html/template: improper handling of JavaScript whitespace (CVE-2023-24540)

Note that Nessus has not tested for these issues but has instead relied only on the application's self-reported version number.

Solution

Update the RHEL Red Hat OpenShift Enterprise package based on the guidance in RHSA-2023:3914.

See Also

https://bugzilla.redhat.com/show_bug.cgi?id=2196027

https://bugzilla.redhat.com/show_bug.cgi?id=2212085

http://www.nessus.org/u?628c22d3

https://access.redhat.com/errata/RHSA-2023:3914

https://access.redhat.com/security/updates/classification/#important

https://access.redhat.com/security/vulnerabilities/RHSB-2023-001

https://bugzilla.redhat.com/show_bug.cgi?id=2053532

https://bugzilla.redhat.com/show_bug.cgi?id=2077688

https://bugzilla.redhat.com/show_bug.cgi?id=2077689

https://bugzilla.redhat.com/show_bug.cgi?id=2092793

https://bugzilla.redhat.com/show_bug.cgi?id=2161274

Plugin Details

Severity: Critical

ID: 193590

File Name: redhat-RHSA-2023-3914.nasl

Version: 1.0

Type: local

Agent: unix

Published: 4/19/2024

Updated: 4/19/2024

Supported Sensors: Frictionless Assessment AWS, Frictionless Assessment Azure, Frictionless Assessment Agent, Nessus Agent, Agentless Assessment, Nessus

Risk Information

VPR

Risk Factor: Medium

Score: 5.9

CVSS v2

Risk Factor: High

Base Score: 7.8

Temporal Score: 6.1

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:N/A:C

CVSS Score Source: CVE-2022-23772

CVSS v3

Risk Factor: Critical

Base Score: 9.8

Temporal Score: 8.8

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: CVSS:3.0/E:P/RL:O/RC:C

CVSS Score Source: CVE-2023-24540

Vulnerability Information

CPE: cpe:/o:redhat:enterprise_linux:8, p-cpe:/a:redhat:enterprise_linux:buildah, p-cpe:/a:redhat:enterprise_linux:buildah-tests, p-cpe:/a:redhat:enterprise_linux:openshift, p-cpe:/a:redhat:enterprise_linux:openshift-ansible, p-cpe:/a:redhat:enterprise_linux:openshift-ansible-test, p-cpe:/a:redhat:enterprise_linux:openshift-hyperkube, p-cpe:/a:redhat:enterprise_linux:podman, p-cpe:/a:redhat:enterprise_linux:podman-catatonit, p-cpe:/a:redhat:enterprise_linux:podman-docker, p-cpe:/a:redhat:enterprise_linux:podman-plugins, p-cpe:/a:redhat:enterprise_linux:podman-remote, p-cpe:/a:redhat:enterprise_linux:podman-tests, p-cpe:/a:redhat:enterprise_linux:runc, p-cpe:/a:redhat:enterprise_linux:skopeo, p-cpe:/a:redhat:enterprise_linux:skopeo-tests

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 7/6/2023

Vulnerability Publication Date: 2/11/2022

Reference Information

CVE: CVE-2022-23772, CVE-2022-24675, CVE-2022-28327, CVE-2022-30629, CVE-2022-41717, CVE-2023-24540, CVE-2023-3089

CWE: 120, 176, 190, 331, 693, 770

RHSA: 2023:3914